﻿using System;
using System.Data;
using Infragistics.Web.UI.GridControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.WebDataGrid.DataSource = this.PopulateGrid();
        this.WebDataGrid.DataBind();
    }

    protected DataTable PopulateGrid()
    {
        DataTable dataTable = new DataTable();
        dataTable.Columns.Add("R");
        dataTable.Columns.Add("G");
        dataTable.Columns.Add("B");
        dataTable.Columns.Add("text to display");

        DataRow row;

        row = dataTable.NewRow();
        row.SetField("R", 255);
        row.SetField("G", 127);
        row.SetField("B", 0);
        row.SetField("text to display", "Test 1");
        dataTable.Rows.Add(row);

        row = dataTable.NewRow();
        row.SetField("R", 12);
        row.SetField("G", 150);
        row.SetField("B", 40);
        row.SetField("text to display", "Test 2");
        dataTable.Rows.Add(row);

        row = dataTable.NewRow();
        row.SetField("R", 120);
        row.SetField("G", 70);
        row.SetField("B", 10);
        row.SetField("text to display", "Test 3");
        dataTable.Rows.Add(row);

        return dataTable;
    }

    protected void WebDataGrid_OnInitializeRow(object sender, RowEventArgs e)
    {
        e.Row.Attributes.CssStyle["background"] = "red";
        //e.Row.Attributes["style"] += "background: rgb(" + e.Row.Items[0] + "," + e.Row.Items[1] + "," + e.Row.Items[2] + ");";
    }
}